<!doctype html>
<html>
<head>
    <title>tor 0.2.4.22 released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="tor 0.2.4.22 released | Tor Project">
    <meta property="og:description" content="This is a slightly belated announcement for the release of tor 0.2.4.22. Going into the future,...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-02422-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        tor 0.2.4.22 released
      </h1>
    <p class="meta">by phoul | June 4, 2014</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>This is a slightly belated announcement for the release of tor 0.2.4.22. Going into the future, we're planning to publish this information on the blog shortly after it is sent to <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-announce" rel="nofollow">tor-announce</a>.</p>

<p>Release information is always published first on <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-talk" rel="nofollow">tor-talk</a>.</p>

<p>Tor 0.2.4.22 backports numerous high-priority fixes from the Tor 0.2.5 alpha release series. These include blocking all authority signing keys that may have been affected by the OpenSSL "heartbleed" bug, choosing a far more secure set of TLS ciphersuites by default, closing a couple of memory leaks that could be used to run a target relay out of RAM, and several others.</p>

<p>Here is the complete changelog:<br />
Changes in version 0.2.4.22 - 2014-05-16: </p>

<ul>
<li> Major features (security, backport from 0.2.5.4-alpha):
<ul>
<li>Block authority signing keys that were used on authorities<br />
      vulnerable to the "heartbleed" bug in OpenSSL (CVE-2014-0160). (We<br />
      don't have any evidence that these keys _were_ compromised; we're<br />
      doing this to be prudent.) Resolves ticket 11464.
 </li>
</ul>
</li>
<li> Major bugfixes (security, OOM):
<ul>
<li>Fix a memory leak that could occur if a microdescriptor parse<br />
      fails during the tokenizing step. This bug could enable a memory<br />
      exhaustion attack by directory servers. Fixes bug 11649; bugfix<br />
      on 0.2.2.6-alpha.
 </li>
</ul>
</li>
<li> Major bugfixes (TLS cipher selection, backport from 0.2.5.4-alpha):
<ul>
<li> The relay ciphersuite list is now generated automatically based on<br />
      uniform criteria, and includes all OpenSSL ciphersuites with<br />
      acceptable strength and forward secrecy. Previously, we had left<br />
      some perfectly fine ciphersuites unsupported due to omission or<br />
      typo. Resolves bugs 11513, 11492, 11498, 11499. Bugs reported by<br />
      'cypherpunks'. Bugfix on 0.2.4.8-alpha.
   </li>
<li> Relays now trust themselves to have a better view than clients of<br />
      which TLS ciphersuites are better than others. (Thanks to bug<br />
      11513, the relay list is now well-considered, whereas the client<br />
      list has been chosen mainly for anti-fingerprinting purposes.)<br />
      Relays prefer: AES over 3DES; then ECDHE over DHE; then GCM over<br />
      CBC; then SHA384 over SHA256 over SHA1; and last, AES256 over<br />
      AES128. Resolves ticket 11528.
   </li>
<li>Clients now try to advertise the same list of ciphersuites as<br />
      Firefox 28. This change enables selection of (fast) GCM<br />
      ciphersuites, disables some strange old ciphers, and stops<br />
      advertising the ECDH (not to be confused with ECDHE) ciphersuites.<br />
      Resolves ticket 11438.
 </li>
</ul>
</li>
<li>  Minor bugfixes (configuration, security):
<ul>
<li> When running a hidden service, do not allow TunneledDirConns 0:<br />
      trying to set that option together with a hidden service would<br />
      otherwise prevent the hidden service from running, and also make<br />
      it publish its descriptors directly over HTTP. Fixes bug 10849;<br />
      bugfix on 0.2.1.1-alpha.
 </li>
</ul>
</li>
<li> Minor bugfixes (controller, backport from 0.2.5.4-alpha):
<ul>
<li> Avoid sending a garbage value to the controller when a circuit is<br />
      cannibalized. Fixes bug 11519; bugfix on 0.2.3.11-alpha.
 </li>
</ul>
</li>
<li> Minor bugfixes (exit relay, backport from 0.2.5.4-alpha):
<ul>
<li> Stop leaking memory when we successfully resolve a PTR record.<br />
      Fixes bug 11437; bugfix on 0.2.4.7-alpha.
 </li>
</ul>
</li>
<li> Minor bugfixes (bridge client, backport from 0.2.5.4-alpha):
<ul>
<li> Avoid 60-second delays in the bootstrapping process when Tor is<br />
      launching for a second time while using bridges. Fixes bug 9229;<br />
      bugfix on 0.2.0.3-alpha.
 </li>
</ul>
</li>
<li> Minor bugfixes (relays and bridges, backport from 0.2.5.4-alpha):
<ul>
<li> Give the correct URL in the warning message when trying to run a<br />
      relay on an ancient version of Windows. Fixes bug 9393.
 </li>
</ul>
</li>
<li> Minor bugfixes (compilation):
<ul>
<li> Fix a compilation error when compiling with --disable-curve25519.<br />
      Fixes bug 9700; bugfix on 0.2.4.17-rc.
 </li>
</ul>
</li>
<li> Minor bugfixes:
<ul>
<li> Downgrade the warning severity for the the "md was still<br />
      referenced 1 node(s)" warning. Tor 0.2.5.4-alpha has better code<br />
      for trying to diagnose this bug, and the current warning in<br />
      earlier versions of tor achieves nothing useful. Addresses warning<br />
      from bug 7164.
 </li>
</ul>
</li>
<li> Minor features (log verbosity, backport from 0.2.5.4-alpha):
<ul>
<li> When we run out of usable circuit IDs on a channel, log only one<br />
      warning for the whole channel, and describe how many circuits<br />
      there were on the channel. Fixes part of ticket 11553.
 </li>
</ul>
</li>
<li> Minor features (security, backport from 0.2.5.4-alpha):
<ul>
<li> Decrease the lower limit of MaxMemInCellQueues to 256 MBytes (but<br />
      leave the default at 8GBytes), to better support Raspberry Pi<br />
      users. Fixes bug 9686; bugfix on 0.2.4.14-alpha.
 </li>
</ul>
</li>
<li> Documentation (backport from 0.2.5.4-alpha):
<ul>
<li> Correctly document that we search for a system torrc file before<br />
      looking in ~/.torrc. Fixes documentation side of 9213; bugfix on<br />
      0.2.3.18-rc.
 </li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/network">
          network
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-62803"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62803" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
    <a href="#comment-62803">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62803" class="permalink" rel="bookmark">What is &quot;target relay&quot;? what</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What is "target relay"? what does it mean?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62831"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62831" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62803" class="permalink" rel="bookmark">What is &quot;target relay&quot;? what</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62831">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62831" class="permalink" rel="bookmark">&quot;a relay that a bad guy</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"a relay that a bad guy picks to use the attack on"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62844"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62844" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-62844">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62844" class="permalink" rel="bookmark">How can the bad guy run a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How can the bad guy run a target relay if the relay's already running? This sentence "closing a couple of memory leaks that could be used to run a target relay out of RAM" is very confusing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62863"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62863" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62844" class="permalink" rel="bookmark">How can the bad guy run a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62863">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62863" class="permalink" rel="bookmark">Ah ha. The phrase is &quot;to run</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ah ha. The phrase is "to run a relay out of ram" -- like to run a cowboy out of town. As in, to cause it to be out of ram.</p>
<p>See definition 1 under 'transitive verb' at<br />
<a href="http://www.merriam-webster.com/dictionary/run" rel="nofollow">http://www.merriam-webster.com/dictionary/run</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-62805"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62805" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
    <a href="#comment-62805">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62805" class="permalink" rel="bookmark">This is awesome! especially</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is awesome! especially the stronger ciphersuites implemented. keep it up.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-62817"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62817" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
    <a href="#comment-62817">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62817" class="permalink" rel="bookmark">In my first attempt to use</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In my first attempt to use Tor I got a message that the IP address I was using was blacklisted in HTTBL. Is this to be expected?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62830"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62830" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62817" class="permalink" rel="bookmark">In my first attempt to use</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62830">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62830" class="permalink" rel="bookmark">It totally depends what</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It totally depends what sites you go to. Alas, there is a trend that many websites in the world prefer a Facebook login or the like and don't want to give you service otherwise. We need to fight that trend -- please help!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62856"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62856" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-62856">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62856" class="permalink" rel="bookmark">I was going to one of my own</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I was going to one of my own Drupal sites which has a spam blocking module which accesses HTTBL ... I do not think the site should matter since all it does is access HTTBL and if it is blocked there it rejects the connection.<br />
I just attempted to connect to one of my sites and got this error message:</p>
<p>We're sorry!<br />
We cannot let you access our website at this time.</p>
<p>Your IP address (91.213.8.236) has been identified as a possible source of suspicious, robotic traffic and has been greylisted by Project Honeypot.</p>
<p>If you are an actual human visitor who can read simple instructions,<br />
you may try getting whitelisted on <a href="http://tcan.ca/httpbl/whitelist" rel="nofollow">http://tcan.ca/httpbl/whitelist</a>.</p>
<p>When I went to Honeypot to check the IP address I got this info:</p>
<p> Honey Pot System commented...<br />
WHITELIST NOTICE: This IP has been REMOVED from Project Honey Pot whitelists; bad activity was encountered.<br />
September 19 2013 11:56 PM</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-62860"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62860" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-62860">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62860" class="permalink" rel="bookmark">I have tried several of the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have tried several of the sites I manage and most of them block (via HTTBL) the IP addresses of the proxy servers that this browser uses. I think this is a potentially serious issue. I have never been blocked using my regular IP address.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-62838"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62838" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
    <a href="#comment-62838">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62838" class="permalink" rel="bookmark">enables selection of (fast)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>enables selection of (fast) GCM<br />
ciphersuites</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-62839"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62839" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
    <a href="#comment-62839">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62839" class="permalink" rel="bookmark">&quot;[...]enables selection of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"[...]enables selection of (fast) GCM ciphersuites[...]"<br />
In the past NSA engineers have tried pushing this special Counter Mode(GCM) -for VOIP?- and get legitimate strong headwind.<br />
Is this a problem for Tor, too??</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62861"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62861" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62839" class="permalink" rel="bookmark">&quot;[...]enables selection of</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62861">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62861" class="permalink" rel="bookmark">We&#039;re just using it for the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We're just using it for the link encryption, to make the flows look like Firefox talking to Apache.</p>
<p>If indeed there's a subtle flaw in the GCM algorithm (I don't know of one, but who knows), then the worst case is that our link encryption is gone -- good thing we still have the circuit-level encryption at each hop (and it is not based on GCM).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-62840"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62840" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2014</p>
    </div>
    <a href="#comment-62840">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62840" class="permalink" rel="bookmark">I enjoyed reading David</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I enjoyed reading David Fifield's, A Child’s Garden of Pluggable Transports. I'm excited about ScrambleSuit being added to the Tor Browser Bundle, because it randomizes the size and timing of packets.</p>
<p>Unfortunately, ScrambleSuit also uses more bandwidth. But I've really been looking forward to some protections against correlation attacks.</p>
<p>Thank you for your hard work!</p>
<p><a href="https://trac.torproject.org/projects/tor/wiki/doc/AChildsGardenOfPluggableTransports" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/AChildsGardenOfPlugga…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62862"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62862" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62840" class="permalink" rel="bookmark">I enjoyed reading David</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62862">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62862" class="permalink" rel="bookmark">How much more bandwidth does</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How much more bandwidth does it use in practice? Somebody should study that.</p>
<p>Also, while I too would like protection against correlation attacks, it's unclear that ScrambleSuit helps here. I'm not saying it doesn't, just that it's an open research question.</p>
<p>And finally, yes, I agree, David's page is really neat.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62868"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62868" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-62868">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62868" class="permalink" rel="bookmark">Yeah, neat. But if the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yeah, neat. But if the bridge's domain name spells tor (as some do), the creator of the plug and all his users are fooling themselves. What about resolving/showing the bridge's domain names?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-62895"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62895" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2014</p>
    </div>
    <a href="#comment-62895">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62895" class="permalink" rel="bookmark">6 more OpenSSL</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>6 more OpenSSL vulnerabilities discovered, some of them existed for over 15 years.</p>
<p><a href="http://www.openssl.org/news/secadv_20140605.txt" rel="nofollow">http://www.openssl.org/news/secadv_20140605.txt</a><br />
<a href="https://www.imperialviolet.org/2014/06/05/earlyccs.html" rel="nofollow">https://www.imperialviolet.org/2014/06/05/earlyccs.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-62898"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62898" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2014</p>
    </div>
    <a href="#comment-62898">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62898" class="permalink" rel="bookmark">I&#039;ve just noticed that by</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've just noticed that by disabling the curves cryptography with --disable-curve25519, compiling it under Linux and restricting a few entry points - some potentially rogue countries, which is reasonable if you find yourself in a region that isn't that democratic or just want to avoid one, the actual version of tor, while still loading without any error messages it reaches 80% and then it stalls. Looking at the process traffic I could observe that it tries to handshake with a few peers and after a while it ceases to attempt any further connections. Worth to mention that tor 2.3.25 runs well with my actual torrc config file. I haven't tried an ssldump on those connections but I guess it's an issue with the prioritization of the new nTor protocol and maybe the peers are not capable of handling it. Could be that the majority of the entry points are still running tor 2.3.25 or maybe nTor is all about ECDHE and I disabled those curves, which I still don't trust but that's my personal opinion.</p>
<p>Additionally, there are some interesting news coming from the OpenSSL team, news I couldn't find any reference about here on the tor project site. Some bugs were recently found and patched in the new version 1.0.1h, bugs that have the same security impact, if not worse, as the Heartbleed bug had. OpenSSL's Security Advisory is worth reading:<br />
<a href="https://www.openssl.org/news/secadv_20140605.txt" rel="nofollow">https://www.openssl.org/news/secadv_20140605.txt</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62905"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62905" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 08, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62898" class="permalink" rel="bookmark">I&#039;ve just noticed that by</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62905">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62905" class="permalink" rel="bookmark">If you as a client don&#039;t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you as a client don't speak curve25519, then you will indeed be unable to use the NTor circuit handshake. The TAP handshake queues are still being mobbed by the botnet clients, so that's a confounding factor. So I'm not sure if you have a bug here or what. Please explore more, and open a ticket on trac if you get details -- for example, steps to reproduce that have more precise details than e.g. "a few entry points". Thanks!</p>
<p>As for this week's openssl issue, it is bad but nowhere near as bad as heartbeat.<br />
<a href="https://lists.torproject.org/pipermail/tor-talk/2014-June/033161.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-talk/2014-June/033161.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-63335"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-63335" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 14, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-63335">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-63335" class="permalink" rel="bookmark">Thanks you for your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks you for your reply!</p>
<p>You're right, I don't speak curve25519 because I disabled it before compiling the tor binary with the help of the configuration directive --disable-curve25519.<br />
And since your team is such a big fan of the curves crypto that you choose to make NTor totally dependent on it, furthermore recently adopting the policy that at least one of the first three connections should be Ntor(curve25519), it's obvious that I can't get in the tor network, no further investigation necessary ATM I presume.</p>
<p>I'd suggest to remove that "--disable-curve25519" directive because it has no sense at all in the actual context.</p>
<p>It's a pity though, and maybe a dangerous direction to impose curve25519 on all your peers and not letting them choose other cryptography. I guess you could embed the curves directly into tor and drop the need for the OpenSSL library. You'll be better of by not depending on some external (buggy) libraries I guess.</p>
<p>I find the curves cryptography primitive and way too simplistic, if allowed - lame. Furthermore from a traffic analysis point of view, due to the low adoption of curves crypto, one cannot hide easily in the crowd and due to the clear and distinctive patterns curves crypto is generating, the curves encrypted streams will stink like tor and not smell like some usual https traffic.</p>
<p>Keep going &amp; growing &amp; doing a good job!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-63372"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-63372" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 15, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-63335" class="permalink" rel="bookmark">Thanks you for your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-63372">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-63372" class="permalink" rel="bookmark">Filed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Filed <a href="https://trac.torproject.org/projects/tor/ticket/12404" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/12404</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-62912"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62912" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 09, 2014</p>
    </div>
    <a href="#comment-62912">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62912" class="permalink" rel="bookmark">Is it ok to replace</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is it ok to replace libssl32.dll and libeay32.dll with newer versions than those provided in the Windows Vidalia bundle?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-62913"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62913" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 09, 2014</p>
    </div>
    <a href="#comment-62913">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62913" class="permalink" rel="bookmark">Sorry, I meant is it ok to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry, I meant is it ok to replace ssleay32.dll and libeay32.dll with newer versions than those provided in the Windows Vidalia bundle?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-62921"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62921" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 09, 2014</p>
    </div>
    <a href="#comment-62921">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62921" class="permalink" rel="bookmark">&quot;This is a slightly belated</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"This is a slightly belated announcement for the release of tor 0.2.4.22."</p>
<p>Will this be incorporated into a new TBB to be released shortly?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62924"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62924" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 09, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62921" class="permalink" rel="bookmark">&quot;This is a slightly belated</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62924">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62924" class="permalink" rel="bookmark">I believe</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I believe so.<br />
<a href="https://lists.torproject.org/pipermail/tor-qa/2014-June/000415.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-qa/2014-June/000415.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-62930"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62930" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 09, 2014</p>
    </div>
    <a href="#comment-62930">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62930" class="permalink" rel="bookmark">Is the ROP hack code(general</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is the ROP hack code(general BACKDOOR?) in OpenSSL -written from OpenSSL programer Andy Polyakov- still a problem?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62937"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62937" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 10, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62930" class="permalink" rel="bookmark">Is the ROP hack code(general</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62937">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62937" class="permalink" rel="bookmark">Good thing it&#039;s open</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good thing it's open source?</p>
<p>This isn't really the right forum for discussing it -- that is, you won't get many good thoughtful answers about it here I'm afraid.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-62957"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62957" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 10, 2014</p>
    </div>
    <a href="#comment-62957">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62957" class="permalink" rel="bookmark">Thanks for the Windows</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for the Windows Expert Bundle build. Will there be an Unstable build so we can test the alpha before it becomes a release?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-62984"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-62984" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 11, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-62957" class="permalink" rel="bookmark">Thanks for the Windows</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-62984">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-62984" class="permalink" rel="bookmark">I believe you can just snag</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I believe you can just snag the tor.exe out of the normal alpha TBB for Windows. You might have to grab a few dll's or something. You are an expert after all, right? :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-63079"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-63079" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 12, 2014</p>
    </div>
    <a href="#comment-63079">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-63079" class="permalink" rel="bookmark">What&#039;s the difference</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What's the difference between "tor-0.2.4.22-win32.exe" (20-May-2014) and "tor-0.2.4.22-win32-1.exe" (06-Jun-2014) ?<br />
Some bug / security fixes?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-63248"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-63248" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 13, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-63079" class="permalink" rel="bookmark">What&#039;s the difference</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-63248">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-63248" class="permalink" rel="bookmark">https://lists.torproject.org/</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://lists.torproject.org/pipermail/tor-commits/2014-June/075678.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-commits/2014-June/075678.html</a></p>
<p>"update Windows packages for new OpenSSL"</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
